@implementation Person : CPObject 
{ 
	CPString name; 
	CPString jobTitle; 
	CPString company; 
} 

+ (id)personWithName:(CPString)aName 
{ 
	return [[self alloc] initWithName: aName]; 	
} 

- (id)initWithName:(CPString)aName 
{ 
	self = [super init]; 
	if (self)
	{
		name = aName; 
		jobTitle = @""; 
		company = @""; 
	}
	
	return self; 
} 

- (void)setName:(CPString)aName 
{ 
	name = aName; 
} 

- (CPString)name 
{
	return name; 
} 

- (void)setJobTitle:(CPString)aJobTitle company:(CPString)aCompany 
{
	jobTitle = aJobTitle; 
	company = aCompany; 
}

-(CPString) description
{
	return [[CPString alloc] initWithFormat:@"name: %@ jobTitle: %@ company: %@", name, jobTitle, company];
}

@end 


@implementation CPString (Reversing) 

- (CPString)reverse 
{ 
	var reversedString = "", index = [self length]; 
	while(index--) 
		reversedString += [self characterAtIndex: index]; 
		
	return reversedString; 
} 

@end 
